diff --git a/cicd_testing/do-build.sh b/cicd_testing/do-build.sh
new file mode 100755
index 0000000000000000000000000000000000000000..a0049e3b8a943025e95c8cc601eab5afda60f1f4
--- /dev/null
+++ b/cicd_testing/do-build.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+set -x
+
+
+# update submodules
+git submodule sync --recursive
+git submodule update --recursive --init
+# gather info for debugging later, probably not necessary 
+pwd
+hostname
+whoami
+env|grep CICD
+
+time rsync -a --exclude='.git'  $CICD_TO_TEST_DIR/ /tmp/libehp_test
+cd /tmp/libehp_test
+source set_env_vars
+scons -j 3
+
diff --git a/cicd_testing/do-clean.sh b/cicd_testing/do-clean.sh
new file mode 100755
index 0000000000000000000000000000000000000000..60122dffc205908f96f24fe6916bd8a2691d95a8
--- /dev/null
+++ b/cicd_testing/do-clean.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+set -e
+set -x
+
+main()
+{
+
+        if [[ $CICD_NIGHTLY == 1 ]] ; then
+		# gather info for debugging later, probably not necessary 
+		pwd
+		hostname
+		whoami
+		env|grep CICD
+
+		rm -rf /tmp/libehp_test
+	fi
+}
+
+main "$@"
+
diff --git a/cicd_testing/do-deploy.sh b/cicd_testing/do-deploy.sh
new file mode 100755
index 0000000000000000000000000000000000000000..9f11436380af7c8713ef7e349d6029e36cead6d5
--- /dev/null
+++ b/cicd_testing/do-deploy.sh
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+echo No deploy yet.
diff --git a/cicd_testing/do-fuzz.sh b/cicd_testing/do-fuzz.sh
new file mode 100755
index 0000000000000000000000000000000000000000..6fab3e4c2114a79001e58f3aec8830dd19f864a0
--- /dev/null
+++ b/cicd_testing/do-fuzz.sh
@@ -0,0 +1,5 @@
+#!/bin/bash 
+
+
+echo do nothing yet
+
diff --git a/cicd_testing/do-test.sh b/cicd_testing/do-test.sh
new file mode 100755
index 0000000000000000000000000000000000000000..2ce5fd7e66072c914bf3dd307a9710e56ed07add
--- /dev/null
+++ b/cicd_testing/do-test.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e 
+set -x
+
+
+function main()
+{
+	cd /tmp/libehp_test/test
+	./test.sh
+	exit 0
+}
+
+main "$@"